%% VERSIONE UTENTE
%   scelta del prototipo da utilizzare per l'estrazione degli input

% i=[1] ROCKWELL
% i=[2] HYCAT-1A
% i=[3] HYCAT-1
% i=[4] HYCAT-4
% i=[5] STRATOFLY MR5
% i=[6] STRATOFLY MR3
i=5;


Ciclo_iterativo(i);

%% COMPARAZIONE RISULTATI
%   scelta del prototipo da utilizzare per l'estrazione degli input
close all
% i=[1] ROCKWELL
% i=[2] HYCAT-1A
% i=[3] HYCAT-1
% i=[4] HYCAT-4
% i=[5] STRATOFLY MR5
% i=[6] STRATOFLY MR3
i=6;

% Dati da verificare per gli stratofly --> ii=1
ii=0;
mf=1.12;
rho_a=112.1311;
ISP=2000;

Compare_results(i,ii,rho_a,mf,ISP)
open Output\results.xlsx
% open Output\results_extended.xlsx
open Output\output_compare.xlsx
% winopen("Output\output_compare.xlsx")


%% ANALISI SENSIBILITA'
%scelta del prototipo da utilizzare per l'estrazione degli input

% i=[1] ROCKWELL
% i=[2] HYCAT-1A
% i=[3] HYCAT-1
% i=[4] HYCAT-4
% i=[5] STRATOFLY MR5
% i=[6] STRATOFLY MR3
i=5;

% j=[1] Range
% j=[2] Passengeri
% j=[3] WS NO!!!!
% j=[4] rho_a
% j=[5] Mach
% j=[6] sLFL
% j=[7] ISP
% j=[8] Altitude
% j=[9] Vtot(guess)
% j=[10] Wgtot (guess)
% j=[11] AR
% j=[12] Ttott
% j=[13] delta
% j=[14] mf
j=1;
Analisi_sensibilita(i,j);


%% ANALISI MF E RHOA PER ENTRAMBI GLI STRATOFLY
clear all
clc
addpath("Input\")
addpath("Output\")
% ii=1 --> definisco parametri di studio
ii=0;
mf=0.4;
rho_a=180;
ISP=5000;

%MR5
Ciclo_dati_modificati(5,ii,rho_a,mf,ISP);
A=readmatrix("results.xlsx");
A=A(:,2);

%MR3
Ciclo_dati_modificati(6,ii,rho_a,mf,ISP);
B=readmatrix("results.xlsx");
B=B(:,2);

C=readmatrix("output_expected.xlsx");
C=C(:,6:end);
index=["Wgtot","Wfuel","Weng","Wpay","Sref","Vtot","Lb","W/S","T/W"];

MR5=((A-C(:,1))./C(:,1))'*100;
MR3=((B-C(:,2))./C(:,2))'*100;


Stratofly=[index;MR5;MR3]';
writematrix(Stratofly,'Output\output_compare_stratofly.xlsx')
open output_compare_stratofly.xlsx









